Ticket #3063 (closed enhancement: fixed)

Opened 9 years ago

Last modified 9 years ago

特定のカテゴリをコミュニティ作成時に選べないようにする機能

Reported by: nakasone Assigned to: nakasone
Priority: minor Milestone: OpenPNE2.13.4
Component: 指定しない Version:
Keywords: Cc:

Description (Last modified by nakasone)

■概要

特定のカテゴリをコミュニティ作成時に選べないようにする機能。

■仕様

■関連情報

http://sns.openpne.jp/?m=pc&a=page_c_topic_detail&target_c_commu_topic_id=4070

r8519にて、toranekoさんから提供していただいたコードの取り込み。

Change History

10/09/08 16:38:13 changed by nakasone

  • owner changed from nobody to nakasone.
  • status changed from new to assigned.

取り込みを行います。

10/09/08 16:54:43 changed by nakasone

  • keywords set to 確認中.

上記の作業をtrunkで行いました。

10/09/08 17:12:14 changed by nakasone

  • description changed.

10/16/08 17:06:33 changed by kiwa

  • keywords changed from 確認中 to 差し戻し.

browser:OpenPNE/branches/work/toraneko/prj_newfeature/doc/prj_commu_adm.txt

「コミュ管理機能改善プロジェクト改修内容」を確認したところ、DB変更が必要なようです。update sqlの追加をおねがいします。

10/21/08 11:00:04 changed by ebihara

  • owner changed from nakasone to ebihara.
  • status changed from assigned to new.

update用のSQL追加については海老原が受け持ちます。

10/21/08 13:37:28 changed by ebihara

  • owner changed from ebihara to nakasone.

以下のリビジョンでupdate用のSQLを追加しました。

10/21/08 13:45:27 changed by ebihara

「新機能を作る会」コミュニティで提案した内容を共有します。

28: えびはらこーすけ 削除
#3063 (特定のカテゴリをコミュニティ作成時に選べないようにする機能)
ttp://trac.openpne.jp/ticket/3063

について提案させていただきます。

提案1. 作成可能なコミュニティカテゴリがひとつもない場合については、「現在コミュニティを作成することができません」といった表示があったほうが、利用者が混乱しなくて済むかなと思いました。
提案2. bool 値が入るとわかっているフィールド名、変数名については、 is_*** という形式にするとそのフィールド、変数の役割が自明になりますのでオススメです。

また、バグとおぼしき現象を見つけたので報告します。
コミュニティカテゴリによるコミュニティ作成の「可」・「不可」設定が、表示上のみしか有効でなく、アクション内では一切考慮していないように見えますがどうでしょうか。

チケットの方にも共有しておきます。

29: えびはらこーすけ 削除
あ、あと webapp/lib/db/deprecated_lib.php についてですが、ファイル名からも自明なように、このファイルに定義されている関数は非推奨であり新規に利用することを想定していません。
2.12開発時に webapp/lib/db/deprecated_lib.php 内で定義されている関数をコールしていたものを、すべて正規の関数のコールに変更したため、 OpenPNE 本体からはこの関数のコールをおこなっている箇所はありません。

しかしながら、以前の OpenPNE を参考にして作ったモジュールや拡張については、この非推奨の関数を使っている可能性を否定しきれません。そのため、 webapp/lib/db/deprecated_lib.php 内に、新関数のラッパーとしてまとめて定義しています。
ということで、互換性の関係上、このファイルに定義されている関数については、削除等しないように留意していただければと思います。

11/04/08 14:13:06 changed by ebihara

修正するべき点は多々ありますが、とりあえず以下の問題についての対処をおこなった段階でリリースをおこないます。

以下以外にも致命的な問題が発覚し、かつ、早急の修正が難しい場合、このチケットで取り込まれた機能については trunk から一時的に外し、リリースします。

  • webapp/lib/db/deprecated_lib.php 内の関数の削除を取り消し
  • コミュニティカテゴリによるコミュニティ作成の「可」・「不可」設定が、表示上のみしか有効でない

11/07/08 19:34:07 changed by shingo

  • owner changed from nakasone to shingo.
  • status changed from new to assigned.

作業します。

11/07/08 19:37:33 changed by shingo

  • webapp/lib/db/deprecated_lib.php 内の関数の削除を取り消し
  • コミュニティカテゴリによるコミュニティ作成の「可」・「不可」設定が、表示上のみしか有効でない

上記2点について、以下のリビジョンで修正しました。

11/07/08 19:50:55 changed by shingo

  • keywords changed from 差し戻し to 確認中.
  • owner changed from shingo to nakasone.
  • status changed from assigned to new.

11/11/08 10:40:06 changed by ebihara

  • 携帯でカテゴリ選択なしでコミュニティが作成できてしまう現象
  • 編集時に無条件でカテゴリが選択できてしまう現象

についても修正しましょうかね。

11/11/08 10:40:16 changed by ebihara

  • keywords changed from 確認中 to 差し戻し.

11/11/08 19:01:23 changed by shingo

  • owner changed from nakasone to shingo.

11/11/08 19:01:37 changed by shingo

以下のリビジョンで修正しました。ご確認ください。

新しいバグを見つけましたのでチケットを作りました。

  • #3155:コミュニティ編集画面にて重複したコミュニティ名を登録できてしまう。

11/11/08 19:02:57 changed by shingo

【訂正】

#3155:コミュニティ編集画面にて重複したコミュニティ名を登録できてしまう。

正しくは #3135 です。

11/11/08 19:10:48 changed by shingo

  • keywords changed from 差し戻し to 確認中.
  • owner changed from shingo to nakasone.

11/11/08 20:38:26 changed by ebihara

  • keywords changed from 確認中 to 差し戻し.

携帯版では WORD_COMMUNITY を使わないでください。

11/11/08 21:35:12 changed by shingo

  • keywords changed from 差し戻し to 確認中.

以下のリビジョンで修正しました。ご確認ください。

11/11/08 21:41:18 changed by ebihara

  • keywords changed from 確認中 to テスト待ち.

11/11/08 21:55:59 changed by kiwa

  • keywords deleted.
  • status changed from new to closed.
  • resolution set to fixed.

このチケットはこれで閉じます。バグは別チケットを作成して潰していきましょう。